footer {
  background-color: #525252;
  width: 100%;
  margin: auto;
  max-width: 1920px;
  padding: 3% 14.4%;
}
footer .top {
  width: 100%;
  padding-bottom: 1.875rem;
  border-bottom: 1px solid #757575;
}
footer .top .tbox {
  width: 100%;
  max-width: 85.45rem;
  margin: 0 auto;
  justify-content: space-between;
  display: flex;
}
footer .top .tbox .linkdiv {
  width: 65%;
  display: flex;
  justify-content: space-between;
}
footer .top .tbox .linkdiv .nav {
  display: flex;
  flex-direction: column;
}
footer .top .tbox .linkdiv .nav .nav-link {
  color: #a1a1a1;
  font-size: 0.875rem;
}
footer .top .tbox .linkdiv .nav .active {
  color: #fff;
  font-weight: bold;
  font-size: 1rem;
  margin-bottom: 1.375rem;
}
footer .top .tbox form {
  width: 30%;
  display: flex;
  align-items: center;
  flex-direction: column;
}
footer .top .tbox form h5 {
  padding: 0.5rem 1rem;
  font-size: 1rem;
  color: #fff;
  margin-bottom: 2.1875rem;
}
footer .top .tbox form .input {
  display: flex;
  width: 100%;
  margin-bottom: 1.25rem;
  justify-content: space-between;
}
footer .top .tbox form .input input {
  padding: 0.5rem 1rem;
  width: 45%;
}
footer .top .tbox form .input input::placeholder {
  font-size: 0.875rem;
  color: #999;
}
footer .top .tbox form textarea {
  padding: 0.5rem 1rem;
  width: 100%;
  margin-bottom: 1.25rem;
}
footer .top .tbox form textarea::placeholder {
  font-size: 0.875rem;
  color: #999;
  text-transform: uppercase;
}
footer .top .tbox form .tj {
  padding: 0.5rem 2.5rem;
  background-color: #00844a;
  color: #fff;
  text-transform: uppercase;
  border: none;
}
footer .bottom {
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 3.125rem;
  color: #fff;
  text-transform: uppercase;
  font-size: 0.75rem;
}
footer .bottom .one {
  width: 23%;
}
footer .bottom .one .p2 {
  display: flex;
  align-items: center;
}
footer .bottom .one .p2 img {
  width: 0.9375rem;
  margin-right: 0.625rem;
}
footer .bottom .one .p2:nth-last-child(1) {
  margin-bottom: 0;
}
footer .bottom .two {
  display: flex;
  width: 15%;
  justify-content: space-between;
}
footer .bottom .two a {
  width: 40%;
}
footer .bottom .two a img {
  width: 100%;
}
footer .bottom .three {
  flex-direction: column;
  display: flex;
  align-items: end;
}
footer .footer-nav {
  display: none;
}
footer .gotop {
  background-color: #fff;
  position: fixed;
  bottom: 15vh;
  right: 0;
  display: flex;
  padding: 0.5%;
  flex-direction: column;
  line-height: 1;
  border-radius: 8px 0 0 8px;
  z-index: 99999;
  cursor: pointer;
  color: #00844a;
  align-items: center;
}
footer .gotop a {
  width: 50px;
  height: 50px;
  display: flex;
  border-radius: 100%;
  text-decoration: none; /* 去除下划线 */
  transition: width 0.5s ease; /* 过渡效果 */
}
footer .gotop a img {
  margin: auto;
  width: 50%;
  transition: margin 0.7s ease, width 0.7s ease; /* 过渡效果 */
}
footer .gotop a p {
  display: none; /* 默认不显示 */
  opacity: 0; /* 初始透明度 */
  transition: opacity 1.2s ease; /* 过渡效果 */
  color: gray; /* 设置颜色为灰色 */
}
footer .gotop a:hover {
  width:auto;
}
footer .gotop a:hover img{
  background-color: #f4f4f4;
  width:30%;
  margin-bottom: 10px;
}
footer .gotop a:hover p{
  display: block; /* 确保元素是显示的 */
  opacity: 1; /* 完全可见 */
}
footer .gotop #scrollToTopBtn {
  width: 50px;
  height: 50px;
  margin-top: 1rem;
  display: none;
  opacity: 1;
  display: flex;
  border-radius: 100%;
}
footer .gotop #scrollToTopBtn img {
  margin: auto;
  width: 50%;
}
footer .gotop #scrollToTopBtn:hover {
  background-color: #f4f4f4;
}
@media screen and (max-width: 1280px) {
  footer {
    padding: 3% 10%;
  }
  footer .bottom .two a {
    width: 35%;
  }
  footer .bottom .two a img {
    width: 100%;
  }
}
@media screen and (max-width: 1024px) {
  footer {
    padding: 3% 5%;
  }
}
@media screen and (max-width: 802px) {
  footer .top {
    display: none;
  }
  footer .bottom {
    display: none;
  }
  footer .gotop {
    display: none;
  }
  footer .footer-nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0 auto;
    width: 100%;
    left: 0;
    position: fixed;
    bottom: 0;
    background: #2db87b;
    opacity: 0.9;
    z-index: 777;
  }
  footer .footer-nav a {
    padding: 3% 0;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    color: white;
    font-size: 14px;
    text-align: center;
    font-weight: bold;
  }
  footer .footer-nav a img {
    height: 15px;
    margin-bottom: 5px;
  }
  footer .footer-nav a:nth-child(1),
  footer .footer-nav a:nth-child(2) {
    border-right: 1px solid #fff;
    /* 前两个子元素的右边边框设为透明 */
  }
  footer .footer-nav .fixed {
    position: fixed;
  }
}
